com.mysql.cj.xdevapi

## Class Schema.ModifyCollectionOptions

- java.lang.Object
- - com.mysql.cj.xdevapi.Schema.ModifyCollectionOptions

Enclosing interface:
  Schema

    public static class Schema.ModifyCollectionOptions
    extends Object

Defines options to be passed to `Schema.modifyCollection(String, ModifyCollectionOptions)`. Options are defined by `Schema.Validation` object.

Example:

     schema.modifyCollection(collName1, new ModifyCollectionOptions().setValidation(new Validation().setLevel(ValidationLevel.OFF)));

### Field Summary

Fields
`private Schema.Validation` `validation`

### Constructor Summary

Constructors
`ModifyCollectionOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Schema.Validation` `getValidation()`
`Schema.ModifyCollectionOptions` `setValidation(Schema.Validation validation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### validation

    private Schema.Validation validation

### Constructor Detail

#### ModifyCollectionOptions

    public ModifyCollectionOptions()

### Method Detail

#### setValidation

    public Schema.ModifyCollectionOptions setValidation(Schema.Validation validation)

#### getValidation

    public Schema.Validation getValidation()

Copyright © 2016, 2025, Oracle and/or its affiliates.